# Quality Signals

Fetch quality signals such as `message limit tier` and `quality score`. According to Meta, there are four messaging limit levels:

* 1K business-initiated conversations with unique customers in a rolling 24-hour period.
* 10K business-initiated conversations with unique customers in a rolling 24-hour period.
* 100K business-initiated conversations with unique customers in a rolling 24-hour period.
* An unlimited number of business-initiated conversations in a rolling 24-hour period.

Notice that `message limit tier` changes only when there is an update. Therefore yours might appear as `unspecified` initially.

You can read more about those definitions at <https://developers.facebook.com/docs/whatsapp/messaging-limits>.

<mark style="color:blue;">`GET`</mark> `/v1/businesses/{businessId}/get/quality_signals`

#### Path Parameters

| Name       | Type   | Description |
| ---------- | ------ | ----------- |
| businessId | String |             |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

A sample response looks like this:

```
{
    "entity": {
        "signals": [
            {
                "whatsappQualitySignals": {
                    "phoneNumber": "+16501234567",
                    "wabaId": "649852411234567",
                    "messagesLimitTier": "WHATS_APP_MESSAGE_LIMIT_TIER_UNSPECIFIED",
                    "qualityScore": "WHATS_APP_QUALITY_SCORE_HIGH"
                }
            }
        ]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.connectly.ai/business-management/business-management-api/quality-signals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
